Update a holiday schedule
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/holiday-schedules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isActive": true,
"holidayIds": [
"<string>"
]
}
'import requests
url = "https://www.ruddr.io/api/workspace/holiday-schedules/{id}"
payload = {
"name": "<string>",
"isActive": True,
"holidayIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', isActive: true, holidayIds: ['<string>']})
};
fetch('https://www.ruddr.io/api/workspace/holiday-schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c4f18a92-d7b3-4e06-85e1-a0c9f2d73b48",
"name": "Canadian Statutory Holidays",
"isActive": true,
"createdAt": "2026-01-08T10:33:17.592Z",
"holidays": [
{
"id": "3e7b2c19-f4a8-4d50-96e3-d1c0f8a27b64",
"name": "Canada Day"
},
{
"id": "9a1d4f72-c3e8-4b06-a5e2-f0b7d8c91a34",
"name": "Christmas Day"
},
{
"id": "f8c23b41-a7d9-4e60-85e1-c4d0f2a18b73",
"name": "Victoria Day"
}
]
}Holiday Schedules
Update a holiday schedule
PATCH
/
holiday-schedules
/
{id}
Update a holiday schedule
A named set of holidays that can be applied to workspace members. This allows different holiday observances per country or region.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The holiday schedule uuid.
Body
application/json
⌘I